Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)

添加之前:
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
一、在项目上单击此按钮
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
二、Dependencies->app->Library Dependency
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
三、搜索选择合适的包后OK
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
若gradle后还是灰色
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
选择project视图
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
将gradle.properties的两个值改为false
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
切换回android视图后点击立刻同步
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
依赖导入成功
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
若在同步时出现incompatible types:required:androidx.fragment.app.fragmentManager…错误,在清单文件中添加:

 android:appComponentFactory=""
tools:replace="android:appComponentFactory"

若getSupportFragmentManager()还出现错误,注意以下三点:
1.继承FragmentActivity
2.定义FragmentManager改为android.support.v4.app.FragmentManager
3.将方法getFragmentManager()改为getSupportFragmentManager()
Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)

原创:https://www.panoramacn.com
源码网提供WordPress源码,帝国CMS源码discuz源码,微信小程序,小说源码,杰奇源码,thinkphp源码,ecshop模板源码,微擎模板源码,dede源码,织梦源码等。

专业搭建小说网站,小说程序,杰奇系列,微信小说系列,app系列小说

Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)

免责声明,若由于商用引起版权纠纷,一切责任均由使用者承担。

您必须遵守我们的协议,如果您下载了该资源行为将被视为对《免责声明》全部内容的认可-> 联系客服 投诉资源
www.panoramacn.com资源全部来自互联网收集,仅供用于学习和交流,请勿用于商业用途。如有侵权、不妥之处,请联系站长并出示版权证明以便删除。 敬请谅解! 侵权删帖/违法举报/投稿等事物联系邮箱:2640602276@qq.com
未经允许不得转载:书荒源码初雪模板-源码网每日更新网站源码模板! » Android Studio添加android.support.v4包的依赖(解决V4的FragmentManager的错误)
关注我们小说电影免费看
关注我们,获取更多的全网素材资源,有趣有料!
120000+人已关注
分享到:
赞(0) 打赏

评论抢沙发

评论前必须登录!

您的打赏就是我分享的动力!

支付宝扫一扫打赏

微信扫一扫打赏